package org.khelekore.jsizer;

import java.net.URLClassLoader;
import java.util.jar.JarEntry;
import java.util.jar.JarFile;

public interface ClassSizer {
    /** setup the class sizer for a given class loader */
    void setup (URLClassLoader cl);

    /** Get the size of the given entry */
    // TODO: change sizer to logger
    ClassSize size (JarFile jf, JarEntry je, String cname, JSizer sizer);
}
