package org.khelekore.jsizer;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JFrame;

/** A class that closes the given application window. */
class CloseAction extends AbstractAction {
    private static final long serialVersionUID = 1;
    private JFrame f;
    public CloseAction (JFrame f) {
	super ("Quit");
	this.f = f;
    }

    public void actionPerformed (ActionEvent e) {
	f.setVisible (false);
	f.dispose ();
    }    
}
