package org.khelekore.jsizer;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

/** An action that sets the graph type to full name graph.
 */
class FullNameAction extends AbstractAction {
    private SizePanel sp;

    public FullNameAction (SizePanel sp) {
	super ("Full name");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	sp.setGraphBuilder (new FullNameGraphBuilder (sp.getColorHandler ()));
    }    
}