package org.khelekore.jsizer;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

/** An action that sets the graph type to a class hierarchy graph.
 */
class HierarchyAction extends AbstractAction {
    private SizePanel sp;

    public HierarchyAction (SizePanel sp) {
	super ("Class Hierarchy");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	sp.setGraphBuilder (new HierarchyGraphBuilder (sp.getColorHandler ()));
    }    
}